Main Page Alphabetical List Data Structures File List Data Fields Globals

# _wmfAPI Struct Reference

## Data Fields

wmf_error_t | err
wmfHead | Head
wmfPlaceableMetaHeader | PlaceableMetaHeader
wmfMetaHeader | MetaHeader
wmfFile | File
FILE * | debug_out
FILE * | error_out
void * | user_data
void * | device_data
void * | player_data
void * | buffer_data
void * | memory_data
void * | function_reference
void * | font_data
char ** | fonts
void * | color_data
struct {
wmfRead read
wmfSeek seek
wmfTell tell
} | bbuf
struct {
void * context
wmfStatus function
} | status
struct {
unsigned long length
char * buffer
} | string_buffer
unsigned long | flags

## Field Documentation

struct { ... } _wmfAPI::bbuf

char* _wmfAPI::buffer

void* _wmfAPI::buffer_data

void* _wmfAPI::color_data

void* _wmfAPI::context

FILE* _wmfAPI::debug_out

void* _wmfAPI::device_data

wmf_error_t _wmfAPI::err

FILE* _wmfAPI::error_out

wmfFile _wmfAPI::File

unsigned long _wmfAPI::flags

void* _wmfAPI::font_data

char** _wmfAPI::fonts

wmfStatus _wmfAPI::function

void* _wmfAPI::function_reference

wmfHead _wmfAPI::Head

unsigned long _wmfAPI::length

void* _wmfAPI::memory_data

wmfMetaHeader _wmfAPI::MetaHeader

wmfPlaceableMetaHeader _wmfAPI::PlaceableMetaHeader

void* _wmfAPI::player_data

wmfRead _wmfAPI::read

wmfSeek _wmfAPI::seek

struct { ... } _wmfAPI::status

struct { ... } _wmfAPI::string_buffer

wmfTell _wmfAPI::tell

void* _wmfAPI::user_data

The documentation for this struct was generated from the following file:

- types.h